Atualizar ferramenta utilizadas durante a chamada
curl --request PUT \
--url https://suasofia.online/api/user/tools/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>",
"timeout": 123,
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>"
}
]
}
'import requests
url = "https://suasofia.online/api/user/tools/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>",
"timeout": 123,
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
endpoint: '<string>',
method: '<string>',
timeout: 123,
headers: [{name: '<string>', value: '<string>'}],
schema: [{name: '<string>', type: '<string>', description: '<string>'}]
})
};
fetch('https://suasofia.online/api/user/tools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Tool updated successfully",
"data": {
"id": 1,
"name": "update_customer_info",
"description": "Use this tool to update customer information in the system.",
"endpoint": "https://api.yourcompany.com/customers/update",
"method": "POST",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"schema": [
{
"name": "customer_name",
"type": "string",
"description": "Full name of the customer"
},
{
"name": "customer_age",
"type": "number",
"description": "Age of the customer"
},
{
"name": "newsletter_subscription",
"type": "boolean",
"description": "Whether customer wants to subscribe to newsletter"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T14:30:00.000000Z"
}
}
{
"message": "Tool not found"
}
{
"message": "Validation failed",
"errors": {
"name": ["Tool name must contain only lowercase letters and underscores, and start with a letter."]
}
}
Ferramentas de Chamada
Atualizar ferramenta utilizadas durante a chamada
Atualizar uma ferramenta utilizadas durante a chamada existente.
PUT
/
user
/
tools
/
{id}
Atualizar ferramenta utilizadas durante a chamada
Este endpoint permite que você atualize uma ferramenta utilizadas durante a chamada existente. Todos os campos são opcionais - forneça apenas os campos que deseja atualizar.
Parâmetros de Caminho
integer
required
O identificador único da ferramenta a ser atualizada
Parâmetros do Corpo
string
Nome da ferramenta - deve conter apenas letras minúsculas e underscores, e começar com uma letra
string
Explicação detalhada de quando e como a IA deve usar esta ferramenta (máximo 255 caracteres)
string
URL válida do endpoint da API a ser chamado
string
Método HTTP:
GET, POST, PUT, PATCH, ou DELETEinteger
Tempo limite da requisição em segundos (1-30)
array
array
Campos de Resposta
string
Mensagem de sucesso
object
O objeto da ferramenta atualizada com todos os valores atuais
{
"message": "Tool updated successfully",
"data": {
"id": 1,
"name": "update_customer_info",
"description": "Use this tool to update customer information in the system.",
"endpoint": "https://api.yourcompany.com/customers/update",
"method": "POST",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"schema": [
{
"name": "customer_name",
"type": "string",
"description": "Full name of the customer"
},
{
"name": "customer_age",
"type": "number",
"description": "Age of the customer"
},
{
"name": "newsletter_subscription",
"type": "boolean",
"description": "Whether customer wants to subscribe to newsletter"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T14:30:00.000000Z"
}
}
{
"message": "Tool not found"
}
{
"message": "Validation failed",
"errors": {
"name": ["Tool name must contain only lowercase letters and underscores, and start with a letter."]
}
}
Gerenciando Atribuições de Ferramentas
Para anexar ou desanexar esta ferramenta de assistentes, use a API de Assistente:- Criar Assistente - Use o parâmetro
tool_idspara anexar ferramentas ao criar um assistente - Atualizar Assistente - Use o parâmetro
tool_idspara gerenciar quais ferramentas estão atribuídas a um assistente
⌘I

